TechDraw API/pl: Revision history

Diff selection: Mark the radio buttons of the revisions to compare and hit enter or the button at the bottom.
Legend: (cur) = difference with latest revision, (prev) = difference with preceding revision, m = minor edit.

(newest | oldest) View ( | older 50) (20 | 50 | 100 | 250 | 500)

22 August 2023

20 August 2023

29 July 2023

  • curprev 11:3211:32, 29 July 2023Kaktus talk contribs 10,602 bytes −39 No edit summary
  • curprev 11:2911:29, 29 July 2023Kaktus talk contribs 10,641 bytes +3 Created page with "dvp.requestPaint() #Przerysuj grafikę dla tego widoku."
  • curprev 11:2811:28, 29 July 2023Kaktus talk contribs 10,638 bytes +39 Created page with "topoShapeEdge] = dvp.getHiddenEdges()"
  • curprev 11:2811:28, 29 July 2023Kaktus talk contribs 10,599 bytes +1 Created page with "===Geometrie DrawViewPart=== [topoShapeEdge] = dvp.getVisibleEdges()"
  • curprev 11:2811:28, 29 July 2023Kaktus talk contribs 10,598 bytes 0 Created page with "print("making edgeCenterLine") cline2 = dvp.makeCenterLine(edgeNames,hMode)"
  • curprev 11:2711:27, 29 July 2023Kaktus talk contribs 10,598 bytes +2 Created page with "start = FreeCAD.Vector (1.0, 5.0, 0.0) # środek, góra end = FreeCAD.Vector(1.0, -5.0, 0.0) # środek, dół faceNames = ["Face0"] edgeNames = ["Edge2", "Edge3"] vertNames = ["Vertex1", "Vertex2"] vMode = 0 #pionowo hMode = 1 #poziomo aMode = 2 #wyrównane #styles solid = 1 dashed = 2 dotted = 3 #weights weight15 = 0.15 weight75 = 0.75 #colors pyRed = (1.0, 0.0, 0.0, 0.0) pyBlue = (0.0, 1.0, 0.0, 0.0) pyBlack = (0.0, 0.0, 0.0, 0.0) #adjustments hShift = 1...."
  • curprev 11:2011:20, 29 July 2023Kaktus talk contribs 10,596 bytes +68 Created page with "Atrybuty CenterLine<br> Tag: niepowtarzalny identyfikator. String. ReadOnly.<br> Type: 0 - face, 1 - 2 line, 2 - 2 point. Integer. ReadOnly.<br> Mode: 0 - vert, 1 - horiz, 2 - aligned. Integer.<br> Format: atrybuty wyglądu (style, color, weight, visible). Tuple.<br> HorizShift: przesunięcie w lewo/prawo. Float.<br> VertShift: przesunięcie góra/dół. Float.<br> Rotation: obrót w stopniach. Float.<br> Extension: dodatkowa długość do dodania. Float.<br> Flip: Odwr..."
  • curprev 11:1711:17, 29 July 2023Kaktus talk contribs 10,528 bytes −3 Created page with "usuwa CenterLine cl z widoku. Zwraca None.<br> dvp.removeCenterLine(cl)"
  • curprev 11:1611:16, 29 July 2023Kaktus talk contribs 10,531 bytes +8 Created page with "pobiera CenterLine według nazwy podobiektu. Używane w selekcji.<br> cl = dvp.getCenterLine("Edge5")"
  • curprev 11:1611:16, 29 July 2023Kaktus talk contribs 10,523 bytes +13 Created page with "pobiera CenterLine z niepowtarzalnym znacznikiem.<br> cl = dvp.getCenterLine(tag)"
  • curprev 11:1511:15, 29 July 2023Kaktus talk contribs 10,510 bytes +9 Created page with "tworzy nową linię CenterLine<br> tag = dvp.makeCenterLine(subObjs, mode)<br>"
  • curprev 11:1511:15, 29 July 2023Kaktus talk contribs 10,501 bytes +73 Created page with "====Procedury CenterLine (CL) dostępne z poziomu Pythona===="
  • curprev 11:1411:14, 29 July 2023Kaktus talk contribs 10,428 bytes 0 Created page with "print("making circleArc") dvp.makeCosmeticCircleArc(arcCenter, radius, arcStart, arcEnd, style, weight, shadow)"
  • curprev 11:0711:07, 29 July 2023Kaktus talk contribs 10,428 bytes −1 Created page with "#style solid = 1 dashed = 2 dotted = 3 #weights weight15 = 0.15 weight75 = 0.75 #colors pyRed = (1.0, 0.0, 0.0, 0.0) pyBlue = (0.0, 1.0, 0.0, 0.0) pyGreen = (0.0, 0.0, 1.0, 0.0) pyBlack = (0.0, 0.0, 0.0, 0.0) shadow = (0.1, 0.1, 0.1, 0.0)"
  • curprev 11:0611:06, 29 July 2023Kaktus talk contribs 10,429 bytes −1 Created page with "#kąty arcStart = -45 arcEnd = 45"
  • curprev 11:0611:06, 29 July 2023Kaktus talk contribs 10,430 bytes +3 Created page with "#punkty org = App.Vector(0.0, 0.0, 0.0) midTop = FreeCAD.Vector (1.0, 5.0, 0.0) # środek, góra midBot = FreeCAD.Vector(2.0, -5.0, 0.0) # środek, dół stdZ = FreeCAD.Vector(0.0, 0.0, 1.0) center = FreeCAD.Vector(0.0, 0.0, 0.0) arcCenter = FreeCAD.Vector(3.0, 3.0, 0.0) vPt = FreeCAD.Vector(-3.0, 3.0, 0.0) topRight = FreeCAD.Vector(5.0, 5.0, 0.0) bottomLeft = FreeCAD.Vector(-5.0, -5.0, 0.0)"
  • curprev 10:2610:26, 29 July 2023Kaktus talk contribs 10,427 bytes +9 Created page with "atrybuty CosmeticEdge<br> Tag: niepowtarzalny identyfikator. String.<br> Format: appearance attributes (style, color, weight, visible). Tuple.<br>"
  • curprev 10:2510:25, 29 July 2023Kaktus talk contribs 10,418 bytes +5 Created page with "usuwa wszystkie linie CosmeticLines z widoku. Zwraca None.<br> dvp.clearCosmeticEdges()"
  • curprev 10:2410:24, 29 July 2023Kaktus talk contribs 10,413 bytes −3 Created page with "usuwa CosmeticEdge ce z widoku. Zwraca None.<br> dvp.removeCosmeticEdge(ce)"
  • curprev 10:2410:24, 29 July 2023Kaktus talk contribs 10,416 bytes +8 Created page with "zwraca CosmeticEdge według nazwy (Edge25). Używane w selekcjach.<br> ce = dvp.getCosmeticEdgeBySelection(name)"
  • curprev 10:2310:23, 29 July 2023Kaktus talk contribs 10,408 bytes +12 Created page with "zwraca CosmeticEdge z unikalnym identyfikatorem.<br> ce = dvp.getCosmeticEdge(id)"
  • curprev 10:2310:23, 29 July 2023Kaktus talk contribs 10,396 bytes +36 Created page with "tworzy krawędź CosmeticEdge w środku o promieniu radius (współrzędne widoku) od kąta początkowego do kąta końcowego. Zwraca niepowtarzalny tag.<br> tag = dvp.makeCosmeticCircleArc(center, radius, start, end)"
  • curprev 10:2210:22, 29 July 2023Kaktus talk contribs 10,360 bytes −3 No edit summary
  • curprev 10:2110:21, 29 July 2023Kaktus talk contribs 10,363 bytes +25 Created page with "Tworzenie krawędzi CosmeticEdge w środku o promieniu radius(współrzędne widoku). Zwraca niepowtarzalny tag.<br> tag = dvp.makeCosmeticCircle(center, radius)"

28 July 2023

25 July 2023

  • curprev 17:3317:33, 25 July 2023Kaktus talk contribs 10,230 bytes +12 Created page with "zwraca CosmeticVertex z unikalnym identyfikatorem.<br> cv = dvp.getCosmeticVertex(string id)"
  • curprev 17:3217:32, 25 July 2023Kaktus talk contribs 10,218 bytes +35 Created page with "dodaje wierzchołek CosmeticVertex w punkcie p1 ''(współrzędne modelu 3d)''. Zwraca unikalny znacznik. <br> tag = dvp.makeCosmeticVertex3d(vector p1)"
  • curprev 17:3217:32, 25 July 2023Kaktus talk contribs 10,183 bytes +36 Created page with "dodaje wierzchołek CosmeticVertex w punkcie p1 ''(współrzędne widoku)''. Zwraca unikalny znacznik.<br> tag = dvp.makeCosmeticVertex(vector p1)"
  • curprev 17:1717:17, 25 July 2023Kaktus talk contribs 10,147 bytes +3 Created page with "dvp = App.ActiveDocument.View #CV należą do widoków <br>"
  • curprev 17:1617:16, 25 July 2023Kaktus talk contribs 10,144 bytes +77 Created page with "====Procedury CosmeticVertex (CV) dostępne z poziomu Pythona===="
  • curprev 17:1617:16, 25 July 2023Kaktus talk contribs 10,067 bytes +53 Created page with "===DrawViewPart geometrie pomocnicze==="
  • curprev 17:1517:15, 25 July 2023Kaktus talk contribs 10,014 bytes +8 Created page with "{{APIFunction|writeDXFPage|DrawPage, FileName|Zapisz DrawPage w formacie Dxf.|File}} Przykład: {{Code|code= import TechDraw TechDraw.writeDXFPage(myPage,myFileName) }}"
  • curprev 17:1417:14, 25 July 2023Kaktus talk contribs 10,006 bytes +8 Created page with "{{APIFunction|writeDXFView|DrawViewPart, FileName|Zapisz DrawViewPart w formacie Dxf.|File}} Przykład: {{Code|code= import TechDraw TechDraw.writeDXFView(myPart,myFileName) }}"
  • curprev 17:1417:14, 25 July 2023Kaktus talk contribs 9,998 bytes −1 Created page with "{{APIFunction|viewPartAsSvg|DrawViewPart|Zwraca krawędzie DrawViewPart w formacie Svg.|String}} Przykład: {{Code|code= fileSpecSvg = "fcOut.svg" v = App.ActiveDocument.View s = TechDraw.viewPartAsSvg(v) head = '<svg\n' + \ ' xmlns="http://www.w3.org/2000/svg" version="1.1" \n' + \ ' xmlns:freecad="http://www.freecadweb.org/wiki/index.php?title=Svg_Namespace">\n' tail = '\n</svg>' svgFile = open(fileSpecSvg, "w") svgFile.write(head) svgFile.write(s) svgFil..."
  • curprev 17:1317:13, 25 July 2023Kaktus talk contribs 9,999 bytes −1 Created page with "{{APIFunction|viewPartAsDxf|DrawViewPart|Zwraca krawędzie DrawViewPart w formacie Dxf.|String}} Przykład: {{Code|code= fileSpecDxf = "fcOut.dxf" v = App.ActiveDocument.View s = TechDraw.viewPartAsDxf(v) dxfEnd = "0\nEOF\n" dxfFile = open(fileSpecDxf, "w") dxfFile.write(s) dxfFile.write(dxfEnd) dxfFile.close() }}"
  • curprev 13:3313:33, 25 July 2023Kaktus talk contribs 10,000 bytes +49 Created page with "{{APIFunction|EdgeWalker|listOfEdges, [bool]|Tworzy linie z krawędzi na wejściu przez planarne przechodzenie grafu. Opcjonalnie wyklucza OuterWire ustawiając opcjonalny parametr na false.|Lista przewodów posortowana według rozmiaru (malejąco)}} {{APIFunction|findOuterWire|listOfEdges|Wyszukuje OuterWire (największy) z listy krawędzi (które tworzą graf planarny).|Outer wire}} {{APIFunction|findShapeOutline|TopoShape, scale, direction|Odwzorowuje kształt w kier..."
  • curprev 13:3113:31, 25 July 2023Kaktus talk contribs 9,951 bytes +2 Created page with "Przykład:"
  • curprev 13:3113:31, 25 July 2023Kaktus talk contribs 9,949 bytes +15 Created page with "Zobacz stronę Api dla GUI aby poznać więcej funkcji."
  • curprev 13:3013:30, 25 July 2023Kaktus talk contribs 9,934 bytes +39 Created page with "Dobre przykłady podstawowych skryptów Rysunku Technicznego można znaleźć na stronie [https://github.com/FreeCAD/FreeCAD/tree/master/src/Mod/TechDraw/TDTest skrypty testów jednostkowych]."

18 December 2022

  • curprev 17:2217:22, 18 December 2022Kaktus talk contribs 9,895 bytes +56 Created page with "{{VeryImportantMessage|''(Listopad 2018)'' Te informacje mogą być niekompletne i nieaktualne. Najnowsze API można znaleźć na stronie [https://www.freecadweb.org/api autog..."

6 July 2021

(newest | oldest) View ( | older 50) (20 | 50 | 100 | 250 | 500)